Faiss

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends
Public Member Functions | List of all members
faiss::IndexFlatIP Struct Reference
Inheritance diagram for faiss::IndexFlatIP:

## Public Member Functions
| IndexFlatIP (idx_t d)
Public Member Functions inherited from faiss::IndexFlat
| IndexFlat (idx_t d, MetricType metric=METRIC_INNER_PRODUCT)
void | add (idx_t n, const float *x) override
void | reset () override
| removes all elements from the database.
void | search (idx_t n, const float *x, idx_t k, float *distances, idx_t *labels) const override
void | range_search (idx_t n, const float *x, float radius, RangeSearchResult *result) const override
void | reconstruct (idx_t key, float *recons) const override
void | compute_distance_subset (idx_t n, const float *x, idx_t k, float *distances, const idx_t *labels) const
long | remove_ids (const IDSelector &sel) override
Public Member Functions inherited from faiss::Index
| Index (idx_t d=0, MetricType metric=METRIC_L2)
virtual void | train (idx_t n, const float *x)
virtual void | add_with_ids (idx_t n, const float *x, const long *xids)
void | assign (idx_t n, const float *x, idx_t *labels, idx_t k=1)
virtual void | reconstruct_n (idx_t i0, idx_t ni, float *recons) const
virtual void | search_and_reconstruct (idx_t n, const float *x, idx_t k, float *distances, idx_t *labels, float *recons) const
void | compute_residual (const float *x, float *residual, idx_t key) const
void | display () const

## Additional Inherited Members
Public Types inherited from faiss::Index
typedef long | idx_t
| all indices are this type
Public Attributes inherited from faiss::IndexFlat
std::vector< float > | xb
| database vectors, size ntotal * d
Public Attributes inherited from faiss::Index
int | d
| vector dimension
idx_t | ntotal
| total nb of indexed vectors
bool | verbose
| verbosity level
bool | is_trained
| set if the Index does not require training, or if training is done already
MetricType | metric_type
| type of metric this index uses for search

## Detailed Description

Definition at line 73 of file IndexFlat.h.

The documentation for this struct was generated from the following file:

- /data/users/matthijs/github_faiss/faiss/IndexFlat.h